export interface AniListItem {
    data: {
        Media: {
            id: number,
            idMal: number,
            title: {
                romaji: string,
                english: string,
            },
            description: string,
            coverImage: {
                medium: string,
                large: string,
                extraLarge: string,
                color: string,
            },
            tags: [{
                id: number,
                name: string,
                description: string,
                category: string,
                rank: number,
                isGeneralSpoiler: boolean,
                isMediaSpoiler: boolean,
                isAdult: boolean
            }]
        }
    }
}

export interface AniSearchList {
    data: {
        Page: {
            pageInfo: {
                total: number,
                currentPage: number,
                lastPage: number,
                hasNextPage: boolean,
                perPage: number
            },
            media: [{
                id: number,
                idMal: number,
                title: {
                    romaji: string,
                    english: string,
                },
                coverImage: {
                    extraLarge: string,
                    color: string,
                },
            }],
        },
    }
}